Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.daohib.bpel.hobj
Class HBpelEvent

    java.lang.Object
      org.apache.ode.daohib.bpel.hobj.HObject
          org.apache.ode.daohib.bpel.hobj.HBpelEvent

    public class HBpelEvent

extends HObject

Row representation of a BPEL event.

Constructor Summary
`HBpelEvent()`

Method Summary
`HLargeData` | `getData()`
`java.lang.String` | `getDetail()`
`HProcessInstance` | `getInstance()`
`HProcess` | `getProcess()`
`java.lang.Long` | `getScopeId()` Get the scope identifier of the scope associated with this event.
`java.sql.Timestamp` | `getTstamp()`
`java.lang.String` | `getType()`
`void` | `setData(HLargeData data)`
`void` | `setDetail(java.lang.String detail)`
`void` | `setInstance(HProcessInstance instance)`
`void` | `setProcess(HProcess process)`
`void` | `setScopeId(java.lang.Long scopeId)`
`void` | `setTstamp(java.sql.Timestamp tstamp)`
`void` | `setType(java.lang.String type)`

Methods inherited from class org.apache.ode.daohib.bpel.hobj.HObject
`getCreated, getId, getLock, setCreated, setId, setLock, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HBpelEvent

    public HBpelEvent()

Method Detail

### getInstance

    public HProcessInstance getInstance()

### setInstance

    public void setInstance(HProcessInstance instance)

### getProcess

    public HProcess getProcess()

### setProcess

    public void setProcess(HProcess process)

### getTstamp

    public java.sql.Timestamp getTstamp()

### setTstamp

    public void setTstamp(java.sql.Timestamp tstamp)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

### getDetail

    public java.lang.String getDetail()

### setDetail

    public void setDetail(java.lang.String detail)

### getData

    public HLargeData getData()

### setData

    public void setData(HLargeData data)

### getScopeId

    public java.lang.Long getScopeId()

  Get the scope identifier of the scope associated with this event. Note, that this is not implemented as a many-to-one relationship because when scopes are deleted from the database we do not want their events to suffer the same fate.

### setScopeId

    public void setScopeId(java.lang.Long scopeId)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD